trees-consensus(1)

NAME

trees-consensus - Find consensus trees and supported splits.

SYNOPSIS

trees-consensus [OPTIONS] sampled-trees [sampled-trees ... sampled-trees]

DESCRIPTION

Find consensus trees and supported splits.

INPUT OPTIONS:

-h, –help
    Produce help message.

-V, –verbose
    Output more log messages on stderr.

-s arg (=10%), –skip arg (=10%)
    Number of trees to skip.

-u arg, –until arg
    Read until this number of trees.

-m arg, –max arg
    Thin tree samples down to this number of trees.

-x arg (=1), –subsample arg (=1)
    Factor by which to subsample.

-i arg, –ignore arg
    Comma-separated list of taxa to ignore.

REPORTING OPTIONS:

–map-trees arg (=1)
    Only report the top arg trees per file.

–min-support arg (=0.25)
    Minimum threshold PP for splits.

–report arg
    Write supported partitions to file arg.

–map-tree arg
    Write out the map tree to file arg.

–consensus arg
    Write out consensus trees.

–greedy-consensus arg
    Write out greedy consensus trees.

–extended-consensus-L arg
    Write out extended consensus trees + lengths.

–extended-consensus arg
    Write out extended consensus trees.

–support-levels arg
    Write #branches versus LOD to file arg.

–extended-support-levels arg
    Write #sub-branches versus LOD to file arg.

SEARCH OPTIONS:

–sub-partitions
    Search for partial splits.

–depth arg (=1)
    Depth at which to look for partial splits.

–rooting arg (=0.9)
    Threshold in search for partial splits.

–odds-ratio arg (=1.5)
    Report partial-splits only if removing taxa improves the odds by at least this ratio.

EXAMPLES:

Compute the majority consensus tree, skipping the first 10% of trees:

    % trees-consensus newick.trees > c50.tree
    % trees-consensus newick.trees --skip=10% > c50.tree

Skip the first 100 trees:

    % trees-consensus newick.trees --skip=100 > c50.tree

Skip the first 20% of trees and take every 10th tree thereafter:

    % trees-consensus newick.trees --skip=20% -x10 > c50.tree

Compute the 50% (majority) and 80% consensus trees:

    % trees-consensus newick.trees --consensus=0.5:c50.tree,0.8:c80.tree
    % trees-consensus newick.trees --consensus=0.5,0.8:c80.tree > c50.tree

Compute the MAP tree and write a summary of supported partitions:

    % trees-consensus --map-tree=MAP.tree --report=partitions.txt

Compute the MAP tree and write it to the standard output:

    % trees-consensus --map-tree=- --report=partitions.txt

REPORTING BUGS:

BAli-Phy online help: <http://www.bali-phy.org/docs.php>.

Please send bug reports to <bali-phy-users@googlegroups.com>.

AUTHORS
Benjamin Redelings.